io.vertx.rxjava.mqtt.messages

## Class MqttPubRecMessage

- java.lang.Object
- - io.vertx.rxjava.mqtt.messages.MqttPubRecMessage

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class MqttPubRecMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Represents an MQTT PUBREC message

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MqttPubRecMessage>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttPubRecMessage(MqttPubRecMessage delegate)`
    `MqttPubRecMessage(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttPubRecReasonCode` | `code()`
    `static MqttPubRecMessage` | `create(int messageId, MqttPubRecReasonCode code, MqttProperties properties)` Create a concrete instance of a Vert.x pubrec message
    `boolean` | `equals(Object o)`
    `MqttPubRecMessage` | `getDelegate()`
    `int` | `hashCode()`
    `int` | `messageId()`
    `static MqttPubRecMessage` | `newInstance(MqttPubRecMessage arg)`
    `MqttProperties` | `properties()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MqttPubRecMessage> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttPubRecMessage

          public MqttPubRecMessage(MqttPubRecMessage delegate)

    - #### MqttPubRecMessage

          public MqttPubRecMessage(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MqttPubRecMessage getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### messageId

          public int messageId()

    - #### code

          public MqttPubRecReasonCode code()

      Returns:
        reason code from the pubrec request

    - #### create

          public static MqttPubRecMessage create(int messageId,
                                                 MqttPubRecReasonCode code,
                                                 MqttProperties properties)

      Create a concrete instance of a Vert.x pubrec message
      Parameters:
        `messageId` - message Id
        `code` - return code from the pubrec
        `properties` - MQTT properties of the pubrec message
      Returns:

    - #### properties

          public MqttProperties properties()

      Returns:
        MQTT properties

    - #### newInstance

          public static MqttPubRecMessage newInstance(MqttPubRecMessage arg)

Copyright © 2025 Eclipse. All rights reserved.